## ros-melodic-denso-robot-ros 3.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(denso_robot_ros)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-denso-robot-ros (3.3.0-1bionic) bionic; urgency=high



 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Mon, 13 Feb 2023 15:00:00 -0000

ros-melodic-denso-robot-ros (3.2.0-1bionic) bionic; urgency=high



 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 01 Jun 2021 15:00:00 -0000

ros-melodic-denso-robot-ros (3.1.2-1bionic) bionic; urgency=high



 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Thu, 01 Apr 2021 15:00:00 -0000

ros-melodic-denso-robot-ros (3.1.1-1bionic) bionic; urgency=high



 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 02 Mar 2021 15:00:00 -0000

ros-melodic-denso-robot-ros (3.1.0-1bionic) bionic; urgency=high

  * Add sensors_3d.yaml for Melodic
  * Remove kinematics_solver_attempts for Melodic

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 22 Dec 2020 15:00:00 -0000

ros-melodic-denso-robot-ros (3.0.4-1bionic) bionic; urgency=high



 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 26 Nov 2019 15:00:00 -0000

ros-melodic-denso-robot-ros (3.0.3-1bionic) bionic; urgency=high



 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Sun, 22 Sep 2019 15:00:00 -0000

ros-melodic-denso-robot-ros (3.0.2-1bionic) bionic; urgency=high

  * Change descriptions and add url, author
  * Contributors: MIYAKOSHI Yoshihiro

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Thu, 14 Dec 2017 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-denso-robot-ros
Section: misc
Priority: optional
Maintainer: DENSO WAVE INCORPORATED <fa-support@denso-wave.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/denso_robot_ros
Standards-Version: 3.9.2

Package: ros-melodic-denso-robot-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-bcap-core, ros-melodic-bcap-service, ros-melodic-bcap-service-test, ros-melodic-denso-robot-bringup, ros-melodic-denso-robot-control, ros-melodic-denso-robot-core, ros-melodic-denso-robot-core-test, ros-melodic-denso-robot-descriptions, ros-melodic-denso-robot-gazebo, ros-melodic-denso-robot-moveit-config
Description: The denso robot ros stack constains libraries, configuration files, and ROS nodes for controlling a DENSO robot from ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-denso-robot-ros//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
